OpenNMS API 1.2.9

## org.opennms.netmgt.outage
Class BasicInterface

    java.lang.Object
      org.opennms.netmgt.outage.BasicElement
          org.opennms.netmgt.outage.BasicInterface

public class BasicInterface
extends BasicElement

Represents an interface from the ipInterface table

Author:
  brozow

Field Summary
`private java.lang.String` `m_ipAddr`
`private BasicNode` `m_node`

Constructor Summary
`BasicInterface(BasicNode node, java.lang.String ipAddr)`

Method Summary
`int` `closeOutages(java.sql.Connection dbConn, long eventID, java.lang.String eventTime)`
`java.lang.String` `getIpAddr()`
`BasicNetwork` `getNetwork()`
`BasicNode` `getNode()`
`long` `getNodeId()`
`boolean` `isValid()`
`boolean` `openOutageExists(java.sql.Connection dbConn)`
`void` `openOutages(java.sql.Connection dbConn, long eventID, java.lang.String eventTime)`
`java.lang.String` `toString()`

Methods inherited from class org.opennms.netmgt.outage.BasicElement
`getNextOutageId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_node

    private BasicNode m_node

### m_ipAddr

    private java.lang.String m_ipAddr

Constructor Detail

### BasicInterface

    public BasicInterface(BasicNode node,
                          java.lang.String ipAddr)

Method Detail

### getNode

    public BasicNode getNode()

### getNetwork

    public BasicNetwork getNetwork()

  Specified by:
    `getNetwork` in class `BasicElement`

### getIpAddr

    public java.lang.String getIpAddr()

### getNodeId

    public long getNodeId()

### toString

    public java.lang.String toString()

### isValid

    public boolean isValid()

### openOutageExists

    public boolean openOutageExists(java.sql.Connection dbConn)
                             throws java.sql.SQLException

  Throws:
    `java.sql.SQLException`

### closeOutages

    public int closeOutages(java.sql.Connection dbConn,
                            long eventID,
                            java.lang.String eventTime)
                     throws java.sql.SQLException

  Parameters:
    `dbConn` -
    `eventID` -
    `eventTime` -
  Returns:
  Throws:
    `java.sql.SQLException`

### openOutages

    public void openOutages(java.sql.Connection dbConn,
                            long eventID,
                            java.lang.String eventTime)
                     throws java.sql.SQLException

  Parameters:
    `dbConn` -
    `eventID` -
    `eventTime` -
  Throws:
    `java.sql.SQLException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.